{% extends 'base.html.twig' %}
{%block stylesheets %}

    <title>Adress Book</title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta content="width=device-width, initial-scale=1" name="viewport" />
    <meta content="" name="description" />
    <meta content="" name="author" />
    <meta name="msapplication-TileColor" content="#ffffff">
    <meta name="theme-color" content="#ffffff">
    <!-- BEGIN GLOBAL MANDATORY STYLES -->
    <link href="http://fonts.googleapis.com/css?family=Open+Sans:400,300,600,700&subset=all" rel="stylesheet" type="text/css" />
    <link href="{{ asset('bundles/backoffice/assets/global/plugins/font-awesome/css/font-awesome.min.css')}}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('bundles/backoffice/assets/global/plugins/simple-line-icons/simple-line-icons.min.css')}}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('bundles/backoffice/assets/global/plugins/bootstrap/css/bootstrap.min.css')}}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('bundles/backoffice/assets/global/plugins/uniform/css/uniform.default.css')}}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('bundles/backoffice/assets/global/plugins/bootstrap-switch/css/bootstrap-switch.min.css')}}" rel="stylesheet" type="text/css" />

    <!-- END GLOBAL MANDATORY STYLES -->
    <!-- BEGIN THEME GLOBAL STYLES -->
    <link href="{{ asset('bundles/backoffice/assets/global/css/components.min.css')}}" rel="stylesheet" id="style_components" type="text/css" />
    <link href="{{ asset('bundles/backoffice/assets/global/css/plugins.min.css')}}" rel="stylesheet" type="text/css" />
    <!-- END THEME GLOBAL STYLES -->
    <!-- BEGIN THEME LAYOUT STYLES -->
    <link href="{{ asset('bundles/backoffice/assets/layouts/layout/css/layout.min.css')}}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('bundles/backoffice/assets/layouts/layout/css/themes/blue.css')}}" rel="stylesheet" type="text/css" id="style_color" />
    <script src="{{ asset('bundles/backoffice/assets/global/plugins/jquery.min.js')}}" type="text/javascript"></script>
    <script src="{{ asset('bundles/backoffice/assets/global/plugins/bootstrap/js/bootstrap.min.js')}}" type="text/javascript"></script>
    <script src="https://gitcdn.github.io/bootstrap-toggle/2.2.2/js/bootstrap-toggle.min.js"></script>
    <link href="{{ asset('bundles/backoffice/assets/layouts/layout/css/custom.css')}}" rel="stylesheet" type="text/css" />

    <link href="{{ asset('bundles/backoffice/assets/global/plugins/datatables/datatables.min.css')}}" rel="stylesheet" type="text/css" />

    <link href="{{ asset('inc/src/css/bootstrap-datepicker3.css')}}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('inc/src/css/bootstrap-datetimepicker.css')}}" rel="stylesheet" type="text/css" />

    <link href="{{ asset('bundles/backoffice/assets/global/plugins/bootstrap-colorpicker/css/colorpicker.css')}}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('bundles/backoffice/assets/global/plugins/jquery-minicolors/jquery.minicolors.css')}}" rel="stylesheet" type="text/css" />
    <link rel="stylesheet" href="{{ asset('bundles/backoffice/assets/map/themes/base/jquery.ui.all.css')}}">
    <link rel="stylesheet" href="{{ asset('bundles/backoffice/assets/map/demo.css')}}">

{%endblock%}
{% block body %}
    <div class="row">
        <div class="col-md-12">
            <!-- BEGIN EXAMPLE TABLE PORTLET-->
            <div class="portlet light bordered">
                <div class="portlet-title">
                    <div class="caption font-dark">
                        <i class="icon-settings font-dark"></i>
                        <span class="caption-subject bold uppercase">Adress book list</span>
                    </div>
                    <div class="tools"> </div>
                </div>
                <div class="portlet-body">

                    <div id="sample_1_wrapper" class="dataTables_wrapper no-footer">

                        <div class="row">
                            <div class="col-md-6 col-sm-12">
                                <div class="btn-group">
                                    <a href="{{path('book_new')}}" id="sample_editable_1_new"  class="btn sbold green"> Create an address book
                                        <i class="fa fa-plus"></i>
                                    </a>
                                </div>
                            </div>
                        </div>
                        <div class="table-scrollable"><table class="table table-striped table-bordered table-hover dataTable no-footer dtr-inline" id="sample_1" role="grid" aria-describedby="sample_1_info">
                                <thead>
                                <tr role="row">
                                    <th width="15%"> Firstname </th>
                                    <th width="20%"> LastName </th>
                                    <th width="15%"> Birthday </th>
                                    <th width="15%"> Country </th>
                                    <th width="15%"> City </th>
                                    <th width="7%"> Zip </th>
                                    <th  tabindex="0" aria-controls="sample_1" rowspan="1" colspan="1" style="width: 8%;"> Actions </th>
                                </tr>
                                </thead>
                                <tbody>
                                {% for user in books %}
                                    <tr>
                                        <td>{% if user.firstname is defined and user.firstname is not null %} {{ user.firstname }} {% endif %} </td>
                                        <td>{% if user.lastname is defined and user.lastname is not null %} {{ user.lastname }} {% endif %} </td>
                                        <td>{% if user.birthday is defined and user.birthday is not null %} {{ user.birthday|date('d-m-Y') }} {% endif %} </td>
                                        <td>{% if user.country is defined and user.country is not null %} {{ user.country }} {% endif %} </td>
                                        <td>{% if user.city is defined and user.city is not null %} {{ user.city }} {% endif %} </td>
                                        <td>{% if user.zip is defined and user.zip is not null %} {{ user.zip }} {% endif %} </td>
                                        <td>
                                            <a href="{{path('book_edit', {'id': user.id})}}" class="btn" title="Edit"><i class="fa fa-edit"></i></a>
                                            <a data-toggle="modal" type="button" name="delete" class="btn" href="#{{user.id}}" title="delete"><i class="fa fa-trash-o"></i></a>
                                            <div class="modal fade" id="{{user.id}}"  role="basic" aria-hidden="true">
                                                <div class="modal-dialog">
                                                    <div class="modal-content">
                                                        <div class="modal-body">

                                                            Do you want to delete address book of {{user.firstname}} {{user.lastname}}?
                                                        </div>
                                                        <div class="modal-footer">
                                                            <form  action ="{{path('book_delete', {'id':user.id})}}" method ="get">
                                                                <button type="submit" class="btn green">Confirm</button>
                                                                <button type="button" class="btn default" data-dismiss="modal">Annuler</button>
                                                            </form>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </td>
                                    </tr>
                                    </tr>
                                {% endfor %}
                                </tbody>
                            </table>
                        </div>
                        <div class="row">
                            <div class="col-md-5 col-sm-12">
                            </div>
                            <div class="col-md-7 col-sm-12">
                                <div class="dataTables_paginate paging_bootstrap_number" id="sample_2_paginate">
                                    {#{{ knp_pagination_render(events) }}#}
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- END EXAMPLE TABLE PORTLET-->
        </div>
    </div>

{% endblock %}
{%block javascripts %}
    <script src="{{ asset('bundles/backoffice/assets/global/plugins/js.cookie.min.js')}}" type="text/javascript"></script>
    <script src="{{ asset('bundles/backoffice/assets/global/plugins/bootstrap-hover-dropdown/bootstrap-hover-dropdown.min.js')}}" type="text/javascript"></script>
    <script src="{{ asset('bundles/backoffice/assets/global/plugins/jquery-slimscroll/jquery.slimscroll.min.js')}}" type="text/javascript"></script>
    <script src="{{ asset('bundles/backoffice/assets/global/plugins/jquery.blockui.min.js')}}" type="text/javascript"></script>
    <script src="{{ asset('bundles/backoffice/assets/global/plugins/uniform/jquery.uniform.min.js')}}" type="text/javascript"></script>
    <script src="{{ asset('bundles/backoffice/assets/global/plugins/bootstrap-switch/js/bootstrap-switch.min.js')}}" type="text/javascript"></script>
    <!-- END CORE PLUGINS -->

    <!-- BEGIN THEME GLOBAL SCRIPTS -->
    <script src="{{ asset('bundles/backoffice/assets/global/scripts/app.min.js')}}" type="text/javascript"></script>
    <!-- END THEME GLOBAL SCRIPTS -->
    <!-- BEGIN THEME LAYOUT SCRIPTS -->
    <script src="{{ asset('bundles/backoffice/assets/layouts/layout/scripts/layout.min.js')}}" type="text/javascript"></script>
    <script src="{{ asset('bundles/backoffice/assets/layouts/global/scripts/quick-sidebar.min.js')}}" type="text/javascript"></script>


    <script src="{{ asset('bundles/backoffice/assets/global/scripts/datatable.js')}}" type="text/javascript"></script>
    <script src="{{ asset('bundles/backoffice/assets/global/plugins/plupload/js/plupload.full.min.js')}}" type="text/javascript"></script>
    <script src="{{ asset('bundles/backoffice/assets/global/plugins/bootstrap-colorpicker/js/bootstrap-colorpicker.js')}}" type="text/javascript"></script>
    <script src="{{ asset('bundles/backoffice/assets/global/plugins/jquery-minicolors/jquery.minicolors.min.js')}}" type="text/javascript"></script>
    <script src="http://maps.googleapis.com/maps/api/js?key=AIzaSyDMzfqpMuwW45W7Ty1S-258E87l67yvP1Y&sensor=false"></script>

    <script type="text/javascript" src="{{ asset('bundles/backoffice/assets/global/plugins/jquery-ui/jquery-ui.min.js') }}"></script>
    <script src="{{ asset('bundles/backoffice/assets/map/themes/js/jquery.ui.addresspicker.js')}}"></script>
    <script src="{{ asset('inc/src/js/moment.js')}}"></script>
    <script src="{{ asset('inc/src/js/bootstrap-datepicker.js')}}"></script>
    <script src="{{ asset('inc/src/js/bootstrap-datetimepicker.min.js')}}"></script>
    <script src="{{ asset('inc/src/js/bootstrap-datepicker.fr.js')}}"></script>
{% endblock %}